Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.registry.find
Interface RegistryFinder

    public interface RegistryFinder

Finds producer offered entities such as portlets, books, pages, and producers.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Nested Class Summary
`static class` | `RegistryFinder.Factory` Returns an implementation instance.

Method Summary
`List<BookEntry>` | `findBooks(FindRequest findRequest, ConnectInfo connectInfo)` Finds books.
`SortablePagedResult<BookEntry>` | `findBooks(FindRequest findRequest, int pageSize, ConnectInfo connectInfo)` Finds books.
`List<PageEntry>` | `findPages(FindRequest findRequest, ConnectInfo connectInfo)` Finds pages.
`SortablePagedResult<PageEntry>` | `findPages(FindRequest findRequest, int pageSize, ConnectInfo connectInfo)` Finds pages.
`List<PortletEntry>` | `findPortlets(FindRequest findRequest, ConnectInfo connectInfo)` Finds portlets.
`SortablePagedResult<PortletEntry>` | `findPortlets(FindRequest findRequest, int pageSize, ConnectInfo connectInfo)` Finds portlets.
`List<ProducerEntry>` | `findProducers(FindRequest findRequest, ConnectInfo connectInfo)` Finds Producers.
`SortablePagedResult<ProducerEntry>` | `findProducers(FindRequest findRequest, int pageSize, ConnectInfo connectInfo)` Finds Producers.
`Map<String,RegistryConfig>` | `getAllRegistries(javax.servlet.ServletContext servletContext)` Returns all pre-configured registries.
`RegistryConfig` | `getDefaultRegistryConfig(javax.servlet.ServletContext servletContext)` Returns the default registry configuration.
`RegistryConfig` | `getRegistryConfig(String name, javax.servlet.ServletContext servletContext)` Returns a pre-configured with the given name.

Method Detail

### findPortlets

    List<PortletEntry> findPortlets(FindRequest findRequest,
                                    ConnectInfo connectInfo)
                                    throws FinderException

  Finds portlets.

  Parameters
    `findRequest` - the criteria Portlets must match to be returned.
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a `List` of all portlets in the registry matching the specified criteria.
  Throws
    `FinderException`

### findPortlets

    SortablePagedResult<PortletEntry> findPortlets(FindRequest findRequest,
                                                   int pageSize,
                                                   ConnectInfo connectInfo)
                                                   throws FinderException

  Finds portlets.

  The returned PagedResult is sortable by "name", "title", "handle", "description", "conceptName", "entryType" and "entryHandleName".

  Parameters
    `findRequest` - the criteria Portlets must match to be returned.
    `pageSize` - the number of elements to return per page
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a paginated collection of all portlets in the registry matching the specified criteria.
  Throws
    `FinderException`

### findPages

    List<PageEntry> findPages(FindRequest findRequest,
                              ConnectInfo connectInfo)
                              throws FinderException

  Finds pages.

  Parameters
    `findRequest` - the criteria Pages must match to be returned.
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a `List` of all pages in the registry matching the specified criteria.
  Throws
    `FinderException`

### findPages

    SortablePagedResult<PageEntry> findPages(FindRequest findRequest,
                                             int pageSize,
                                             ConnectInfo connectInfo)
                                             throws FinderException

  Finds pages.

  The returned PagedResult is sortable by "name", "title", "handle", "description", "conceptName", "entryType" and "entryHandleName".

  Parameters
    `findRequest` - the criteria Pages must match to be returned.
    `pageSize` - the number of elements to return per page
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a paginated collection of all pages in the registry matching the specified criteria.
  Throws
    `FinderException`

### findBooks

    List<BookEntry> findBooks(FindRequest findRequest,
                              ConnectInfo connectInfo)
                              throws FinderException

  Finds books.

  Parameters
    `findRequest` - the criteria Books must match to be returned.
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a `List` of all books in the registry matching the specified criteria.
  Throws
    `FinderException`

### findBooks

    SortablePagedResult<BookEntry> findBooks(FindRequest findRequest,
                                             int pageSize,
                                             ConnectInfo connectInfo)
                                             throws FinderException

  Finds books.

  The returned PagedResult is sortable by "name", "title", "handle", "description", "conceptName", "entryType" and "entryHandleName".

  Parameters
    `findRequest` - the criteria Books must match to be returned.
    `pageSize` - the number of elements to return per page
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a paginated collection of all books in the registry matching the specified criteria.
  Throws
    `FinderException`

### findProducers

    List<ProducerEntry> findProducers(FindRequest findRequest,
                                      ConnectInfo connectInfo)
                                      throws FinderException

  Finds Producers. If a service key is specified in the FindRequest, this method will ignore other criteria (such as names and keywords).

  Parameters
    `findRequest` - the criteria Producers must match to be returned.
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a `List` of all producers in the registry matching the specified criteria.
  Throws
    `FinderException`

### findProducers

    SortablePagedResult<ProducerEntry> findProducers(FindRequest findRequest,
                                                     int pageSize,
                                                     ConnectInfo connectInfo)
                                                     throws FinderException

  Finds Producers.

  The returned PagedResult is sortable by "name", "title", "description", and "wsdlUrl".

  Parameters
    `findRequest` - the criteria Producers must match to be returned.
    `pageSize` - the number of elements to return per page
    `connectInfo` - the connection info of the registry to connect to.
  Returns
    a paginated collection of all producers in the registry matching the specified criteria.
  Throws
    `FinderException`

### getDefaultRegistryConfig

    RegistryConfig getDefaultRegistryConfig(javax.servlet.ServletContext servletContext)

  Returns the default registry configuration.

  Parameters
    `servletContext` - servlet context
  Returns
    default registry

### getAllRegistries

    Map<String,RegistryConfig> getAllRegistries(javax.servlet.ServletContext servletContext)

  Returns all pre-configured registries. The key in the returned map is the name of the registry.

  Parameters
    `servletContext` - servlet context
  Returns
    map

### getRegistryConfig

    RegistryConfig getRegistryConfig(String name,
                                     javax.servlet.ServletContext servletContext)

  Returns a pre-configured with the given name. Returns null if no registry config with the given name exists.

  Parameters
    `name` - name
    `servletContext` - servlet context
  Returns
    map

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved